> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Recalculate Transaction Item Achievement Points

> A `PUT` to the `/transactions/items/{transactionitem}` endpoint allows your application to recalculate transaction item achievement points.



## OpenAPI

````yaml put /v3/transactions/items/{transactionitem}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/transactions/items/{transactionitem}:
    put:
      tags:
        - Transaction Item
      summary: Recalculate Transaction Item Achievement Points
      description: >-
        A `PUT` to the `/transactions/items/{transactionitem}` endpoint allows
        your application to recalculate transaction item achievement points.
      operationId: transactionItem.recalculate
      parameters:
        - name: transactionitem
          in: path
          required: true
          description: The transactionitem ID
          schema:
            type: integer
      responses:
        '204':
          description: No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````